
/* Chrysalide - Outil d'analyse de fichiers binaires
 * gtkgraphview.h - prototypes pour l'affichage de morceaux de code sous forme graphique
 *
 * Copyright (C) 2009-2014 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  OpenIDA is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  OpenIDA is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef _GTKEXT_GTKGRAPHVIEW_H
#define _GTKEXT_GTKGRAPHVIEW_H


#include <gtk/gtk.h>


#include "graph/edge.h"



#define GTK_TYPE_GRAPH_VIEW                  (gtk_graph_view_get_type())
#define GTK_GRAPH_VIEW(obj)                  (G_TYPE_CHECK_INSTANCE_CAST((obj), GTK_TYPE_GRAPH_VIEW, GtkGraphView))
#define GTK_GRAPH_VIEW_CLASS(klass)          (G_TYPE_CHECK_CLASS_CAST((klass), GTK_TYPE_GRAPH_VIEW, GtkGraphViewClass))
#define GTK_IS_GRAPH_VIEW(obj)               (G_TYPE_CHECK_INSTANCE_TYPE((obj), GTK_TYPE_GRAPH_VIEW))
#define GTK_IS_GRAPH_VIEW_CLASS(klass)       (G_TYPE_CHECK_CLASS_TYPE((klass), GTK_TYPE_GRAPH_VIEW))
#define GTK_GRAPH_VIEW_GET_CLASS(obj)        (G_TYPE_INSTANCE_GET_CLASS((obj), GTK_TYPE_GRAPH_VIEW, GtkGraphViewClass))


/* Composant d'affichage sous forme graphique (instance) */
typedef struct _GtkGraphView GtkGraphView;

/* Composant d'affichage sous forme graphique (classe) */
typedef struct _GtkGraphViewClass GtkGraphViewClass;


/* Détermine le type du composant d'affichage en graphique. */
GType gtk_graph_view_get_type(void);

/* Crée un nouveau composant pour l'affichage en graphique. */
GtkWidget *gtk_graph_view_new(void);

/* Place une vue sous forme de bloc dans le graphique. */
void gtk_graph_view_put(GtkGraphView *, GtkWidget *, const GtkAllocation *);

/* Intègre un lien entre blocs graphiques dans l'afficheur. */
void gtk_graph_view_add_edge(GtkGraphView *, GGraphEdge *);



#endif  /* _GTKEXT_GTKGRAPHVIEW_H */
